org.apache.mina.core.session

## Enum IoEventType

- java.lang.Object
- - java.lang.Enum<IoEventType>
  - - org.apache.mina.core.session.IoEventType

- All Implemented Interfaces:
    Serializable, Comparable<IoEventType>

      public enum IoEventType
      extends Enum<IoEventType>

  An `Enum` that represents the type of I/O events and requests. Most users won't need to use this class. It is usually used by internal components to store I/O events.
  Author:
    Apache MINA Project

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOSE`
    `EXCEPTION_CAUGHT`
    `MESSAGE_RECEIVED`
    `MESSAGE_SENT`
    `SESSION_CLOSED`
    `SESSION_CREATED`
    `SESSION_IDLE`
    `SESSION_OPENED`
    `WRITE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IoEventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IoEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SESSION_CREATED

          public static final IoEventType SESSION_CREATED

    - #### SESSION_OPENED

          public static final IoEventType SESSION_OPENED

    - #### SESSION_CLOSED

          public static final IoEventType SESSION_CLOSED

    - #### MESSAGE_RECEIVED

          public static final IoEventType MESSAGE_RECEIVED

    - #### MESSAGE_SENT

          public static final IoEventType MESSAGE_SENT

    - #### SESSION_IDLE

          public static final IoEventType SESSION_IDLE

    - #### EXCEPTION_CAUGHT

          public static final IoEventType EXCEPTION_CAUGHT

    - #### WRITE

          public static final IoEventType WRITE

    - #### CLOSE

          public static final IoEventType CLOSE

  - ### Method Detail

    - #### values

          public static IoEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IoEventType c : IoEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IoEventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.